## org.eclipse.datatools.modelbase.sql.schema
Interface Schema

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  DerbySchema, IngresSchema, SybaseASABaseSchema, SybaseASESchema

All Known Implementing Classes:
  HSQLDBCatalogSchema, IngresSchemaImpl, JDBCSchema, MySqlCatalogSchema, org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl, SybaseASABaseSchemaImpl, SybaseASACatalogBaseSchema, SybaseASACatalogSchema, SybaseASECatalogSchema, SybaseASESchemaImpl

    public interface Schema

extends SQLObject

A representation of the model object 'Schema'. Reference: 5WD-02-Foundation-2002-12 4.20 SQL-schemas

The following features are supported:

- `Triggers`
- `Indices`
- `Tables`
- `Sequences`
- `Database`
- `Catalog`
- `Assertions`
- `User Defined Types`
- `Char Sets`
- `Routines`
- `Owner`

See Also:
  `SQLSchemaPackage.getSchema()`

Method Summary
`org.eclipse.emf.common.util.EList` `getAssertions()` Returns the value of the 'Assertions' reference list.
`org.eclipse.emf.common.util.EList` `getBuiltInFunctions()` Get a list of built-in (aka system) functions belonging to this schema.
`Catalog` `getCatalog()` Returns the value of the 'Catalog' reference.
`org.eclipse.emf.common.util.EList` `getCharSets()` Returns the value of the 'Char Sets' reference list.
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`org.eclipse.emf.common.util.EList` `getIndices()` Returns the value of the 'Indices' reference list.
`AuthorizationIdentifier` `getOwner()` Returns the value of the 'Owner' reference.
`org.eclipse.emf.common.util.EList` `getProcedures()` Get a list of procedures belonging to this schema.
`org.eclipse.emf.common.util.EList` `getRoutines()` Returns the value of the 'Routines' reference list.
`org.eclipse.emf.common.util.EList` `getSequences()` Returns the value of the 'Sequences' reference list.
`org.eclipse.emf.common.util.EList` `getTables()` Returns the value of the 'Tables' reference list.
`org.eclipse.emf.common.util.EList` `getTriggers()` Returns the value of the 'Triggers' reference list.
`org.eclipse.emf.common.util.EList` `getUDFs()` Get a list of user-defined functions belonging to this schema.
`org.eclipse.emf.common.util.EList` `getUserDefinedTypes()` Returns the value of the 'User Defined Types' reference list.
`void` `setCatalog(Catalog value)` Sets the value of the '`Catalog`' reference.
`void` `setDatabase(Database value)` Sets the value of the '`Database`' reference.
`void` `setOwner(AuthorizationIdentifier value)` Sets the value of the '`Owner`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTriggers

    org.eclipse.emf.common.util.EList getTriggers()

  Returns the value of the 'Triggers' reference list. The list contents are of type `Trigger`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Triggers' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Triggers()`, `Trigger.getSchema()`

### getIndices

    org.eclipse.emf.common.util.EList getIndices()

  Returns the value of the 'Indices' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Indices' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Indices' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Indices()`, `Index.getSchema()`

### getTables

    org.eclipse.emf.common.util.EList getTables()

  Returns the value of the 'Tables' reference list. The list contents are of type `Table`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Tables' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tables' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Tables()`, `Table.getSchema()`

### getSequences

    org.eclipse.emf.common.util.EList getSequences()

  Returns the value of the 'Sequences' reference list. The list contents are of type `Sequence`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Sequences' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sequences' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Sequences()`, `Sequence.getSchema()`

### getDatabase

    Database getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Schemas`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(Database)`, `SQLSchemaPackage.getSchema_Database()`, `Database.getSchemas()`

### setDatabase

    void setDatabase(Database value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`

### getCatalog

    Catalog getCatalog()

  Returns the value of the 'Catalog' reference. It is bidirectional and its opposite is '`Schemas`'.

  If the meaning of the 'Catalog' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Catalog' reference.
  See Also:
    `setCatalog(Catalog)`, `SQLSchemaPackage.getSchema_Catalog()`, `Catalog.getSchemas()`

### setCatalog

    void setCatalog(Catalog value)

  Sets the value of the '`Catalog`' reference.

  Parameters:
    `value` - the new value of the 'Catalog' reference.
  See Also:
    `getCatalog()`

### getAssertions

    org.eclipse.emf.common.util.EList getAssertions()

  Returns the value of the 'Assertions' reference list. The list contents are of type `Assertion`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Assertions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assertions' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Assertions()`, `Assertion.getSchema()`

### getUserDefinedTypes

    org.eclipse.emf.common.util.EList getUserDefinedTypes()

  Returns the value of the 'User Defined Types' reference list. The list contents are of type `UserDefinedType`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'User Defined Types' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Defined Types' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_UserDefinedTypes()`, `UserDefinedType.getSchema()`

### getCharSets

    org.eclipse.emf.common.util.EList getCharSets()

  Returns the value of the 'Char Sets' reference list. The list contents are of type `CharacterSet`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Char Sets' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Char Sets' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_CharSets()`, `CharacterSet.getSchema()`

### getRoutines

    org.eclipse.emf.common.util.EList getRoutines()

  Returns the value of the 'Routines' reference list. The list contents are of type `Routine`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Routines' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Routines' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Routines()`, `Routine.getSchema()`

### getProcedures

    org.eclipse.emf.common.util.EList getProcedures()

  Get a list of procedures belonging to this schema.

  Returns:
    the procedures contained within the schema. If there are none, then an empty list is returned.

### getUDFs

    org.eclipse.emf.common.util.EList getUDFs()

  Get a list of user-defined functions belonging to this schema.

  Returns:
    the user-defined functions contained within the schema. If there are none, then an empty list is returned.

### getBuiltInFunctions

    org.eclipse.emf.common.util.EList getBuiltInFunctions()

  Get a list of built-in (aka system) functions belonging to this schema.

  Returns:
    the built-in functions contained within the schema. If there are none, then an empty list is returned.

### getOwner

    AuthorizationIdentifier getOwner()

  Returns the value of the 'Owner' reference. It is bidirectional and its opposite is '`Owned Schema`'.

  If the meaning of the 'Owner' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' reference.
  See Also:
    `setOwner(AuthorizationIdentifier)`, `SQLSchemaPackage.getSchema_Owner()`, `AuthorizationIdentifier.getOwnedSchema()`

### setOwner

    void setOwner(AuthorizationIdentifier value)

  Sets the value of the '`Owner`' reference.

  Parameters:
    `value` - the new value of the 'Owner' reference.
  See Also:
    `getOwner()`